Search catalog products
curl --request POST \
--url https://api.getprimo.com/catalog/{countryCode}/products/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": "<string>",
"types": [],
"brands": [
"<string>"
],
"hasZTD": true,
"page": 1,
"take": 100
}
'import requests
url = "https://api.getprimo.com/catalog/{countryCode}/products/search"
payload = {
"search": "<string>",
"types": [],
"brands": ["<string>"],
"hasZTD": True,
"page": 1,
"take": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
search: '<string>',
types: [],
brands: ['<string>'],
hasZTD: true,
page: 1,
take: 100
})
};
fetch('https://api.getprimo.com/catalog/{countryCode}/products/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 0,
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"images": [
"<string>"
],
"variations": [
"<string>"
],
"isFavorite": true,
"isDiscontinued": true,
"hasZTD": true,
"hasFastDelivery": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"brand": "<string>",
"specifications": {},
"price": {
"amount": 123,
"currency": "<string>"
}
}
]
}Catalog
Search catalog products
Search the product catalog for a given country. Supports free-text search and filtering by product type, brand, and zero-touch deployment support. Variant details are not included — use the get product endpoint for those.
POST
/
catalog
/
{countryCode}
/
products
/
search
Search catalog products
Key: Read
Scope: Company
Authorizations
Use your Primo API key in the Authorization header as Bearer <API_KEY>.
Path Parameters
Body
application/json
Free-text search query
Filter by product types (e.g. laptop, monitor)
Available options:
laptop, tablet, smartphone, cable_adapter, charger, headset, hub, keyboard, laptop_case, monitor, mouse, other Filter by brand names
Only return products that support zero-touch deployment
Required range:
x <= 9007199254740991Required range:
x <= 100Was this page helpful?
⌘I